Quassel IRC - Bug #1132

User List not being populated
01/02/2012 07:54 PM - lin-unix

Status: Resolved Start date: 01/02/2012
Priority: Low Due date:

Assignee: Sputnick % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7.4

Version: 0.7.2 0S: Linux
Description

When | first start up Quassel, the user list does not load up, but the number of users in that chatroom is listed. See screenshot.
It eventually does load in about 5min. | also have high speed internet, so it not an internet speed issue.

This started happening when | upgraded to KDE 4.8 RC1
Using Quassel 0.7.3 (option not available in the list below).

History

#1 - 01/11/2012 02:55 AM - lin-unix
This is with Qt 4.8 and KDE RC 2 now.

#2 - 01/13/2012 02:13 PM - Anonymous

This is actually a Qt bug. The users are loaded already, it's just a drawing issue. Selecting something in the list should trigger an update and show the
rest as well.

#3 - 02/20/2012 03:35 AM - Sputnick

- Status changed from New to Resolved
- Assignee set to Sputnick

- Target version set to 0.7.4

- % Done changed from 0 to 100

This seems to be a bug in QTreeView when animations are enabled. We have a workaround in place in the upcoming 0.7.4 and 0.8.0 versions:

8004f9174a21f7d6d91a97d5fab121785c3ef7fb
82936b9c45a2dbf0c174265471c6¢c7e73d2f724
